import { r as registerInstance, h } from './index-fd4790f6.js';
import { _ as __ } from './default-i18n-2e663329.js';
import './index-53ddb833.js';
import { o as openWormhole } from './consumer-b5087188.js';
import './index-6db066f7.js';

const scOrderConfirmationCustomerCss = ":host{display:block}";

const ScOrderConfirmationCustomer = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    if (!this.customer) {
      return null;
    }
    return (h("sc-customer-details", { customer: this.customer, loading: this.loading, error: this.error }, h("span", { slot: "heading" }, h("slot", { name: "heading" }, this.heading || __('Billing Details', 'surecart')))));
  }
};
openWormhole(ScOrderConfirmationCustomer, ['order', 'customer', 'loading'], false);
ScOrderConfirmationCustomer.style = scOrderConfirmationCustomerCss;

export { ScOrderConfirmationCustomer as sc_order_confirmation_customer };
